Index: /trunk/src/VBox/Installer/solaris/vboxconfig.sh
===================================================================
--- /trunk/src/VBox/Installer/solaris/vboxconfig.sh	(revision 58656)
+++ /trunk/src/VBox/Installer/solaris/vboxconfig.sh	(revision 58657)
@@ -478,7 +478,6 @@
         fi
         return 1
-    elif test "$REMOTEINST" -eq 1 && test "$?" -eq 0; then
-        subprint "Added: $moddesc driver"
-    fi
+    fi
+    subprint "Added: $moddesc driver"
     return 0
 }
@@ -506,6 +505,6 @@
         fi
         # for remote installs, don't bother with return values of rem_drv
-        if test $? -eq 0; then
-            subprint "Removed: $moddesc module"
+        if test "$?" -eq 0 || test "$REMOTEINST" -eq 1; then
+            subprint "Removed: $moddesc driver"
             return 0
         else
